Get Template
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/template \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/template"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template": {
"Id": "<string>",
"name": "<string>",
"readme": "<string>",
"type": "<string>",
"channel": "<string>",
"image": "<string>",
"imageAuth": "<string>",
"startCommand": "<string>",
"entrypoint": "<string>",
"rootfsSize": 123,
"ports": [
{
"type": "<string>",
"ports": {}
}
],
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"tools": [
{
"name": "<string>",
"describe": "<string>",
"port": 123,
"type": "<string>"
}
],
"createdAt": "<string>",
"recommendCards": [
{
"gpuSpecId": "<string>",
"cardNum": "<string>"
}
],
"minCudaVersion": "<string>"
}
}Template
Get Template
GET
/
gpu-instance
/
openapi
/
v1
/
template
Get Template
Request Headers
string
erforderlich
Enum:
application/jsonstring
erforderlich
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
erforderlich
ID of the template being queried.
Response
object
Template settings.
Anzeigen properties
Anzeigen properties
string
Template ID.
string
Template name.
string
Template README content (in Markdown format).
string
Template type.Enum:
instancestring
Template channel.Enum:
privatestring
Docker image address for instance startup.
string
Image repository authentication ID for private images.
string
Startup command for the instance.
string
Instance startup entrypoint.
integer
Rootfs storage (GB).
object[]
object[]
object[]
string
Template creation timestamp (Unix seconds).
object[]
string
Minimum required CUDA version, e.g. 11.8, 12.4.
Example
Requestcurl --request GET \
--url 'https://api.novita.ai/gpu-instance/openapi/v1/template' \
--header 'Authorization: Bearer {{API Key}}'
{
"template": {
"Id": "212",
"name": "ubuntu",
"readme": "readme",
"type": "instance",
"channel": "private",
"image": "ubuntu:latest",
"imageAuth": "",
"startCommand": "",
"entrypoint": "",
"rootfsSize": 10,
"ports": [
{
"type": "tcp",
"ports": [8080, 8090]
},
{
"type": "http",
"ports": [6000, 60001]
}
],
"envs": [
{
"key": "testkey",
"value": "123"
}
],
"tools": [
{
"name": "Jupyter",
"describe": "Start Jupyter Notebook",
"port": 8888,
"type": "http"
}
],
"createdAt": "1713162260",
"recommendCards": [
{
"gpuSpecId": "4090.18c.60g",
"cardNum": "2"
}
],
"minCudaVersion": "11.8"
}
}
Zuletzt geändert am 15. Mai 2026
⌘I